Bug 1257799 - SELinux is preventing gsf-office-thum from 'module_request' accesses on the system Unknown.
SELinux is preventing gsf-office-thum from 'module_request' accesses on the s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:d804e05325be5d99866ade3cbaa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 02:10 EDT by Yajo
Modified: 2016-07-19 16:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:54:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yajo 2015-08-28 02:10:38 EDT
Description of problem:
Using ecryptfs folder.
SELinux is preventing gsf-office-thum from 'module_request' accesses on the system Unknown.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If desea allow domain to kernel load modules
Then usted debe decir a SELinux sobre esto habilitando el booleano 'domain_kernel_load_modules'.
Puede leer la página man de 'None' para más detalles.
Do
setsebool -P domain_kernel_load_modules 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If cree que de manera predeterminada, gsf-office-thum debería permitir acceso module_request sobre  Unknown system.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep gsf-office-thum /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:system_r:kernel_t:s0
Target Objects                Unknown [ system ]
Source                        gsf-office-thum
Source Path                   gsf-office-thum
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.10.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.5-200.fc22.x86_64 #1 SMP Mon
                              Aug 10 23:38:23 UTC 2015 x86_64 x86_64
Alert Count                   3
First Seen                    2015-04-26 16:48:14 CEST
Last Seen                     2015-08-28 08:07:04 CEST
Local ID                      06881fea-7571-4ddd-8f19-428e6c49e454

Raw Audit Messages
type=AVC msg=audit(1440742024.574:610): avc:  denied  { module_request } for  pid=3202 comm="gsf-office-thum" kmod="crypto-cbc(aes-asm)-all" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:system_r:kernel_t:s0 tclass=system permissive=0


Hash: gsf-office-thum,thumb_t,kernel_t,system,module_request

Version-Release number of selected component:
selinux-policy-3.13.1-128.10.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.1.5-200.fc22.x86_64
type:           libreport

Potential duplicate: bug 1133435
Comment 1 Miroslav Grepl 2015-09-11 04:25:22 EDT
I believe we should add dontaudit rules.
Comment 2 Fedora End Of Life 2016-07-19 16:54:27 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.